Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(24)

Issue 1844103004: Convert the utility process image decoder into a Mojo service. (Closed)

Created:
2 years, 3 months ago by Anand Mistry (off Chromium)
Modified:
2 years, 3 months ago
CC:
chromium-reviews, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, darin (slow to review), ben+mojo_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert the utility process image decoder into a Mojo service. BUG=597124 Committed: https://crrev.com/6f72f04ebdeb6d7d3344b3cb985a9d9f4390df2d Cr-Commit-Position: refs/heads/master@{#385278}

Patch Set 1 #

Total comments: 4

Patch Set 2 : Rebase and address comments. #

Total comments: 4

Patch Set 3 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+351 lines, -284 lines) Patch
M chrome/browser/BUILD.gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/DEPS View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/image_decoder.h View 1 2 3 chunks +7 lines, -1 line 0 comments Download
M chrome/browser/image_decoder.cc View 1 6 chunks +44 lines, -30 lines 0 comments Download
M chrome/chrome_common.gypi View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/chrome_tests_unit.gypi View 1 2 1 chunk +1 line, -1 line 0 comments Download
M chrome/chrome_utility.gypi View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/common/BUILD.gn View 1 2 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/common/chrome_utility_messages.h View 1 2 3 chunks +0 lines, -29 lines 0 comments Download
A chrome/common/image_decoder.mojom View 1 chunk +18 lines, -0 lines 0 comments Download
M chrome/utility/BUILD.gn View 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/utility/DEPS View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/utility/chrome_content_utility_client.h View 2 chunks +0 lines, -21 lines 0 comments Download
M chrome/utility/chrome_content_utility_client.cc View 1 2 7 chunks +7 lines, -118 lines 0 comments Download
D chrome/utility/chrome_content_utility_client_unittest.cc View 1 chunk +0 lines, -84 lines 0 comments Download
A chrome/utility/image_decoder_impl.h View 1 chunk +33 lines, -0 lines 0 comments Download
A chrome/utility/image_decoder_impl.cc View 1 chunk +105 lines, -0 lines 0 comments Download
A chrome/utility/image_decoder_impl_unittest.cc View 1 chunk +122 lines, -0 lines 0 comments Download

Messages

Total messages: 20 (5 generated)
Anand Mistry (off Chromium)
This is a resurrection of my old image decoder change which never got submitted due ...
2 years, 3 months ago (2016-03-31 03:10:34 UTC) #2
jam
https://codereview.chromium.org/1844103004/diff/1/chrome/browser/image_decoder.cc File chrome/browser/image_decoder.cc (right): https://codereview.chromium.org/1844103004/diff/1/chrome/browser/image_decoder.cc#newcode191 chrome/browser/image_decoder.cc:191: utility_process_host_.reset(); (this already existed) should also delete utility_process_host_.get() to ...
2 years, 3 months ago (2016-03-31 17:46:33 UTC) #3
Anand Mistry (off Chromium)
https://codereview.chromium.org/1844103004/diff/1/chrome/browser/image_decoder.cc File chrome/browser/image_decoder.cc (right): https://codereview.chromium.org/1844103004/diff/1/chrome/browser/image_decoder.cc#newcode191 chrome/browser/image_decoder.cc:191: utility_process_host_.reset(); On 2016/03/31 17:46:33, jam wrote: > (this already ...
2 years, 3 months ago (2016-04-01 05:35:11 UTC) #4
jam
lgtm
2 years, 3 months ago (2016-04-04 17:30:05 UTC) #5
Anand Mistry (off Chromium)
jorgelo@chromium.org: chrome_utility_messages
2 years, 3 months ago (2016-04-05 01:44:19 UTC) #7
Jorge Lucangeli Obes
https://codereview.chromium.org/1844103004/diff/20001/chrome/common/image_decoder.mojom File chrome/common/image_decoder.mojom (right): https://codereview.chromium.org/1844103004/diff/20001/chrome/common/image_decoder.mojom#newcode12 chrome/common/image_decoder.mojom:12: ROBUST_PNG, How do you restrict these to being Chrome ...
2 years, 3 months ago (2016-04-05 03:59:09 UTC) #8
Anand Mistry (off Chromium)
https://codereview.chromium.org/1844103004/diff/20001/chrome/common/image_decoder.mojom File chrome/common/image_decoder.mojom (right): https://codereview.chromium.org/1844103004/diff/20001/chrome/common/image_decoder.mojom#newcode12 chrome/common/image_decoder.mojom:12: ROBUST_PNG, On 2016/04/05 03:59:09, Jorge Lucangeli Obes wrote: > ...
2 years, 3 months ago (2016-04-05 04:29:41 UTC) #9
Jorge Lucangeli Obes
On 2016/04/05 04:29:41, Anand Mistry wrote: > https://codereview.chromium.org/1844103004/diff/20001/chrome/common/image_decoder.mojom > File chrome/common/image_decoder.mojom (right): > > https://codereview.chromium.org/1844103004/diff/20001/chrome/common/image_decoder.mojom#newcode12 ...
2 years, 3 months ago (2016-04-05 04:33:40 UTC) #10
Jorge Lucangeli Obes
https://codereview.chromium.org/1844103004/diff/20001/chrome/utility/image_decoder_impl.cc File chrome/utility/image_decoder_impl.cc (right): https://codereview.chromium.org/1844103004/diff/20001/chrome/utility/image_decoder_impl.cc#newcode51 chrome/utility/image_decoder_impl.cc:51: SkBitmap decoded_image; Will this be NULL when a renderer ...
2 years, 3 months ago (2016-04-05 04:33:51 UTC) #11
Anand Mistry (off Chromium)
On 2016/04/05 04:33:40, Jorge Lucangeli Obes wrote: > On 2016/04/05 04:29:41, Anand Mistry wrote: > ...
2 years, 3 months ago (2016-04-05 05:15:17 UTC) #12
Anand Mistry (off Chromium)
https://codereview.chromium.org/1844103004/diff/20001/chrome/utility/image_decoder_impl.cc File chrome/utility/image_decoder_impl.cc (right): https://codereview.chromium.org/1844103004/diff/20001/chrome/utility/image_decoder_impl.cc#newcode51 chrome/utility/image_decoder_impl.cc:51: SkBitmap decoded_image; On 2016/04/05 04:33:51, Jorge Lucangeli Obes wrote: ...
2 years, 3 months ago (2016-04-05 05:15:27 UTC) #13
Jorge Lucangeli Obes
chrome_utility_messages.h LGTM
2 years, 3 months ago (2016-04-05 16:39:55 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1844103004/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1844103004/40001
2 years, 3 months ago (2016-04-05 19:57:52 UTC) #17
commit-bot: I haz the power
Committed patchset #3 (id:40001)
2 years, 3 months ago (2016-04-05 20:42:18 UTC) #18
commit-bot: I haz the power
2 years, 3 months ago (2016-04-05 20:43:49 UTC) #20
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/6f72f04ebdeb6d7d3344b3cb985a9d9f4390df2d
Cr-Commit-Position: refs/heads/master@{#385278}

Powered by Google App Engine
This is Rietveld 408576698